Daemon Power

The NetBSD Packages Collection: devel/ruby-redmine

Brief description of the package:
Flexible project management web application

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.redmine.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "devel/ruby-redmine" directory. The current source version of the package is "ruby22-redmine-3.3.2nb3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ruby-redmine :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: bash-[0-9]* cwrappers>=20150314 mysql-client>=5.5.10<5.6 perl>=5.0 libffi>=1.20 ImageMagick6>=5.5.7.11nb1 pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 libltdl>=2.4.2 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-gpl-[0-9]* ghostscript-fonts>=6.0 libxcb>=1.6 libXdmcp>=0.99 xproto>=7.0.9 libXau>=1.0 xcb-proto>=1.12 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 libpaper>=1.1.22 fontconfig>=2.10.93nb2 x11-links>=1.06 osabi-NetBSD-7.0.1 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb8 ruby22-base>=2.2.8 libyaml>=0.1.1 libyaml>=0.1.4 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 mysql-client>=5.5.48nb1 libffi>=3.0.11 ImageMagick6>=6.9.7.9nb1 libxslt>=1.1.28nb2 .

This package requires the following package(s) to run: bash-[0-9]* mysql-client>=5.5.10<5.6 perl>=5.0 libffi>=1.20 ImageMagick6>=5.5.7.11nb1 pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 libltdl>=2.4.2 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-gpl-[0-9]* ghostscript-fonts>=6.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libpaper>=1.1.22 fontconfig>=2.10.93nb2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb8 libxml2>=2.8.0nb2 ruby22-base>=2.2.8 libyaml>=0.1.1 libyaml>=0.1.4 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 mysql-client>=5.5.48nb1 libffi>=3.0.11 ImageMagick6>=6.9.7.9nb1 libxslt>=1.1.28nb2 .

This package supports the following build-time options:

unicorn
mysql
Enable MySQL support.
pgsql
Enable PostgreSQL support.
sqlite3
Enable SQLite3 support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-redmine-3.1.2nb2.tgz(NetBSD 7.0)
alpha:ruby22-redmine-3.1.2nb2.tgz(NetBSD 7.0)
alpha:ruby23-redmine-3.1.2nb2.tgz(NetBSD 7.0)
earm:ruby200-redmine-3.1.2.tgz(NetBSD 7.0)
earm:ruby21-redmine-3.1.2.tgz(NetBSD 7.0)
earmv6hf:ruby193-redmine-3.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby200-redmine-3.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby21-redmine-3.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby22-redmine-3.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby200-redmine-3.1.2.tgz(NetBSD 7.0)
earmv6hf:ruby21-redmine-3.1.2.tgz(NetBSD 7.0)
earmv6hf:ruby22-redmine-3.1.2.tgz(NetBSD 7.0)
earmv7hf:ruby200-redmine-3.1.2.tgz(NetBSD 7.0)
earmv7hf:ruby21-redmine-3.1.2.tgz(NetBSD 7.0)
earmv7hf:ruby22-redmine-3.1.2.tgz(NetBSD 7.0)
earmv7hf:ruby193-redmine-3.1.0.tgz(NetBSD 7.0)
earmv7hf:ruby200-redmine-3.1.0.tgz(NetBSD 7.0)
earmv7hf:ruby21-redmine-3.1.0.tgz(NetBSD 7.0)
earmv7hf:ruby22-redmine-3.1.0.tgz(NetBSD 7.0)
earmv7hf:ruby193-redmine-3.1.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby200-redmine-3.1.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby21-redmine-3.1.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-redmine-3.1.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-redmine-3.3.2nb2.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-redmine-3.3.2nb2.tgz(NetBSD 8.0_BETA)
earmv7hfeb:ruby200-redmine-3.1.2nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby21-redmine-3.1.2nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby22-redmine-3.1.2nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby23-redmine-3.1.2nb1.tgz(NetBSD 7.0)
i386:ruby21-redmine-3.1.2nb3.tgz(NetBSD 6.0)
i386:ruby22-redmine-3.1.2nb3.tgz(NetBSD 6.0)
i386:ruby23-redmine-3.1.2nb3.tgz(NetBSD 6.0)
i386:ruby21-redmine-3.3.2nb1.tgz(NetBSD 6.0)
i386:ruby22-redmine-3.3.2nb1.tgz(NetBSD 6.0)
i386:ruby23-redmine-3.3.2nb1.tgz(NetBSD 6.0)
i386:ruby22-redmine-3.3.2nb2.tgz(NetBSD 6.0)
i386:ruby23-redmine-3.3.2nb2.tgz(NetBSD 6.0)
i386:ruby21-redmine-3.1.2nb3.tgz(NetBSD 7.0)
i386:ruby22-redmine-3.1.2nb3.tgz(NetBSD 7.0)
i386:ruby23-redmine-3.1.2nb3.tgz(NetBSD 7.0)
i386:ruby21-redmine-3.1.2nb5.tgz(NetBSD 7.0)
i386:ruby22-redmine-3.1.2nb5.tgz(NetBSD 7.0)
i386:ruby23-redmine-3.1.2nb5.tgz(NetBSD 7.0)
i386:ruby21-redmine-3.3.2nb1.tgz(NetBSD 7.0)
i386:ruby22-redmine-3.3.2nb1.tgz(NetBSD 7.0)
i386:ruby23-redmine-3.3.2nb1.tgz(NetBSD 7.0)
i386:ruby22-redmine-3.3.2nb2.tgz(NetBSD 7.0)
i386:ruby23-redmine-3.3.2nb2.tgz(NetBSD 7.0)
powerpc:ruby200-redmine-3.1.2.tgz(NetBSD 7.0)
powerpc:ruby21-redmine-3.1.2.tgz(NetBSD 7.0)
powerpc:ruby22-redmine-3.1.2.tgz(NetBSD 7.0)
powerpc:ruby22-redmine-3.3.2nb2.tgz(NetBSD 7.1)
powerpc:ruby23-redmine-3.3.2nb2.tgz(NetBSD 7.1)
powerpc:ruby22-redmine-3.3.2nb3.tgz(NetBSD 7.1)
powerpc:ruby23-redmine-3.3.2nb3.tgz(NetBSD 7.1)
powerpc:ruby22-redmine-3.3.2nb2.tgz(NetBSD 8.0)
powerpc:ruby23-redmine-3.3.2nb2.tgz(NetBSD 8.0)
powerpc:ruby22-redmine-3.3.2nb3.tgz(NetBSD 8.0)
powerpc:ruby23-redmine-3.3.2nb3.tgz(NetBSD 8.0)
sparc64:ruby200-redmine-3.1.2.tgz(NetBSD 7.0)
sparc64:ruby21-redmine-3.1.2.tgz(NetBSD 7.0)
sparc64:ruby22-redmine-3.1.2.tgz(NetBSD 7.0)
sparc64:ruby21-redmine-3.1.2nb5.tgz(NetBSD 7.1_RC1)
sparc64:ruby22-redmine-3.1.2nb5.tgz(NetBSD 7.1_RC1)
sparc64:ruby23-redmine-3.1.2nb5.tgz(NetBSD 7.1_RC1)
x86_64:ruby21-redmine-3.1.2nb3.tgz(NetBSD 6.0)
x86_64:ruby22-redmine-3.1.2nb3.tgz(NetBSD 6.0)
x86_64:ruby23-redmine-3.1.2nb3.tgz(NetBSD 6.0)
x86_64:ruby21-redmine-3.3.2nb1.tgz(NetBSD 6.0)
x86_64:ruby22-redmine-3.3.2nb1.tgz(NetBSD 6.0)
x86_64:ruby23-redmine-3.3.2nb1.tgz(NetBSD 6.0)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 6.0)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 6.0)
x86_64:ruby21-redmine-3.1.2nb3.tgz(NetBSD 6.1)
x86_64:ruby22-redmine-3.1.2nb3.tgz(NetBSD 6.1)
x86_64:ruby23-redmine-3.1.2nb3.tgz(NetBSD 6.1)
x86_64:ruby21-redmine-3.1.2nb5.tgz(NetBSD 6.1)
x86_64:ruby22-redmine-3.1.2nb5.tgz(NetBSD 6.1)
x86_64:ruby23-redmine-3.1.2nb5.tgz(NetBSD 6.1)
x86_64:ruby21-redmine-3.3.2nb1.tgz(NetBSD 6.1)
x86_64:ruby22-redmine-3.3.2nb1.tgz(NetBSD 6.1)
x86_64:ruby23-redmine-3.3.2nb1.tgz(NetBSD 6.1)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 6.1)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 6.1)
x86_64:ruby22-redmine-3.3.2nb3.tgz(NetBSD 7.0)
x86_64:ruby21-redmine-3.1.2nb3.tgz(NetBSD 7.0)
x86_64:ruby22-redmine-3.1.2nb3.tgz(NetBSD 7.0)
x86_64:ruby23-redmine-3.1.2nb3.tgz(NetBSD 7.0)
x86_64:ruby21-redmine-3.1.2nb5.tgz(NetBSD 7.0)
x86_64:ruby22-redmine-3.1.2nb5.tgz(NetBSD 7.0)
x86_64:ruby23-redmine-3.1.2nb5.tgz(NetBSD 7.0)
x86_64:ruby21-redmine-3.3.2nb1.tgz(NetBSD 7.0)
x86_64:ruby22-redmine-3.3.2nb1.tgz(NetBSD 7.0)
x86_64:ruby23-redmine-3.3.2nb1.tgz(NetBSD 7.0)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 7.0)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 7.0)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 8.99.1)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 8.99.1)
x86_64:ruby22-redmine-3.3.2nb2.tgz(NetBSD 8.99.1)
x86_64:ruby23-redmine-3.3.2nb2.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]